<?php

namespace Litecms\KycSetting;

use User;

class KycSetting
{
    /**
     * $kyc_settings object.
     */
    protected $kyc_settings;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\KycSetting\Interfaces\KycSettingsRepositoryInterface $kyc_settings)
    {
        $this->kyc_settings = $kyc_settings;
    }

    /**
     * Returns count of kyc_setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.kyc_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->kyc_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\KycSettingsUserCriteria());
        }

        $kyc_settings = $this->kyc_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('kyc_setting::' . $view, compact('kyc_settings'))->render();
    }
}
