<?php

namespace Litecms\KycSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KycSettingsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\KycSetting\Models\KycSettings $kyc_settings)
    {
        return [
            'id'                => $kyc_settings->getRouteKey(),
            'key'               => [
                'public'    => $kyc_settings->getPublicKey(),
                'route'     => $kyc_settings->getRouteKey(),
            ], 
            'member_id'         => $kyc_settings->member_id,
            'document'          => $kyc_settings->document,
            'document_type'     => $kyc_settings->document_type,
            'status'            => $kyc_settings->status,
            'url'               => [
                'public'    => trans_url('kyc_setting/'.$kyc_settings->getPublicKey()),
                'user'      => guard_url('kyc_setting/kyc_settings/'.$kyc_settings->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kyc_settings->status),
            'created_at'        => format_date($kyc_settings->created_at),
            'updated_at'        => format_date($kyc_settings->updated_at),
        ];
    }
}